// override04.cs

using System;

class Mammal
{
	protected const int LegNo = 4;
	protected string Tail, Gei, Food, Koe;

	public virtual string this[string index]
	{
		get
		{
			return "...";
		}
	}
	public int Leg()
	{
		return LegNo;
	}
}

class Cat : Mammal
{
	public override string this[string index]
	{
		get
		{
			switch (index)
			{
				case "":
					Tail = "1{";
					return Tail;
				case "|":
					Gei = "łȂ";
					return Gei;
				case "":
					Koe = "j[Aj[";
					return Koe;
				case "Hו":
					Food = "Lbgt[h";
					return Food;

				default:
					return "";
			}
		}
	}
}

class Dog : Mammal
{
	public override string this[string index]
	{
		get
		{
			switch (index)
			{
				case "":
					Tail = "1{";
					return Tail;
				case "|":
					Gei = "ł";
					return Gei;
				case "":
					Koe = "A";
					return Koe;
				case "Hו":
					Food = "hbOt[h";
					return Food;

				default:
					return "";
			}
		}
	}
}

class override04
{
	public static void Main()
	{
		Mammal m;

		Cat cat = new Cat();
		Dog dog = new Dog();

		m = cat;
		Console.WriteLine("L̋r{0}{łB{1}łB|{2}BHו{3}B",
			m.Leg(), m[""], m["|"], m["Hו"]);

		m = dog;
		Console.WriteLine("̋r{0}{łB{1}łB|{2}BHו{3}B",
			m.Leg(), m[""], m["|"], m["Hו"]);
	}
}






