// interface06

using System;

interface IInterface1
{
	void setdatano(int n);
	void setdata(double data, int i);
	double calcsum();
}

interface IInterface2 : IInterface1
{
	double calcaverage();
}

class MyClass : IInterface2
{
	double[] data;
	bool bOK = false;

	public void setdatano(int n)
	{
		data = new double[n];
		bOK = true;
	}
	public void setdata(double d, int i)
	{
		if (!bOK)
		{
			Console.WriteLine("z̏łĂ܂");
			return;
		}
		data[i] = d;
	}
	public double calcsum()
	{
		if (!bOK)
		{
			Console.WriteLine("z̏łĂ܂");
			return -1.0;
		}
		double sum = 0.0;
		for (int i = 0; i < data.Length; i++)
			sum += data[i];
		return sum;
	}
	public double calcaverage()
	{
		double sum = calcsum();
		return sum / data.Length;
	}

}

class interface06
{
	public static void Main()
	{
		MyClass mc = new MyClass();
		int nNo;

		while (true)
		{
			Console.Write("f[^---");
			string strno = Console.ReadLine();
			nNo = Int32.Parse(strno);
			mc.setdatano(nNo);

			for (int i = 0; i < nNo; i++)
			{
				Console.Write("data[{0}] = ", i);
				string strdata = Console.ReadLine();
				mc.setdata(double.Parse(strdata), i);
			}
			Console.WriteLine("v = {0}", mc.calcsum());
			Console.WriteLine(" = {0}", mc.calcaverage());
			Console.WriteLine();
			Console.Write("܂(Y/N)---");
			string yn = Console.ReadLine();
			if (yn == "N" || yn == "n")
				break;
		}
		
	}
}

