// delegate04.cs

using System;

delegate DateTime MyDelegate(DateTime dt, int n);

class MyClass1
{
    public DateTime Calc(DateTime d, int n)
    {
        return d.AddDays(n);
    }
}

class Myclass2
{
    public DateTime Calc(DateTime d, int n)
    {
        return d.AddHours(n);
    }
}

class delegate04
{
    public static void Main()
    {
        MyClass1 mc1 = new MyClass1();
        Myclass2 mc2 = new Myclass2();

        MyDelegate md = new MyDelegate(mc1.Calc);
        DateTime dt = DateTime.Now;

        DateTime mydate;

        mydate = md(dt, 100);
        Console.WriteLine("100́A{0}ł",
            mydate.ToShortDateString());

        md = new MyDelegate(mc2.Calc);
        mydate = md(dt, 100);
        Console.WriteLine("100Ԍ́A{0}ł",
            mydate);
        
    }
}







