﻿// prop04.cs

using System;
class prop
{
    // 自動実装するプロパティ
    public double bl { get; set; }
    public double bw { get; set; }

    public double bmi()
    {
        return bw / ((bl / 100.0) * (bl / 100.0));
    }

    public prop(double l, double w)
    {
        Console.WriteLine("引数付きコンストラクタが呼び出されました");
        bl = l;
        bw = w;
    }

    public prop()
    {
        Console.WriteLine("デフォルトコンストラクタが呼び出されました");
        return;
    }
}

class prop04
{
    
    public static void Main()
    {        
        // オブジェクト初期化子の利用
        prop p = new prop { bl = 142.5, bw = 60.0 };
        Console.WriteLine("BMIは{0:00.0}です", p.bmi());

        // 従来通りの方法
        prop q = new prop();
        q.bl = 142.5;
        q.bw = 60.0;
        Console.WriteLine("BMIは{0:00.0}です", p.bmi());

        // 引数付きコンストラクタの利用
        prop r = new prop(142.5, 60.0);
        Console.WriteLine("BMIは{0:00.0}です", p.bmi());

        return;
    }
    
}