﻿// linq02.cs

using System;
using System.Collections.Generic;
using System.Linq;

class data
{
    public string name;
    public string address;
    public int age;
}

class linq02
{
    public static void Main()
    {
        List<data> mydata = new List<data> {
            new data {
                name = "田中和夫", 
                address = "東京都",
                age = 24},
            new data {
                name = "鈴木義男", 
                address = "東京都",
                age = 17},
            new data {
                name = "吉田育子", 
                address = "青森県",
                age = 24},
            new data {
                name = "田中和夫", 
                address = "東京都",
                age = 34},
            new data {
                name = "小林一郎", 
                address = "北海道",
                age = 29}
        };

        // 旧式のデータ追加
        data datax = new data();
        datax.name = "粂井康孝";
        datax.address = "北海道";
        datax.age = 22;
        mydata.Add(datax);

        // 新方式のデータ追加
        mydata.Add(new data {
            name = "猫山太郎", address = "青森県", age = 15});

        var q = from x in mydata
                where x.age < 30
                orderby x.age ascending
                select x;

        Console.WriteLine("氏名\t\t住所\t年齢");
        foreach (data z in q)
            Console.WriteLine("{0}\t{1}\t{2}", z.name, z.address, z.age);
    }
}