﻿// xml01.cs

using System;
using System.Linq;
using System.Xml.Linq;

class xml01
{
    public static void Main()
    {
        XElement students = XElement.Load("student.xml");

        var q =
            from person in students.Elements()
            where int.Parse(person.Element("point").Value) >= 60
            orderby person.Element("point").Value descending
            select person;

        foreach (var p in q)
        {
            Console.WriteLine("{0}, {1}, {2}",
                p.Element("name").Value,
                p.Element("point").Value,
                p.Element("id").Value);
        }      
    }
}